cdac.medinfo.base

## Class CCDConstants

- java.lang.Object
- - cdac.medinfo.base.CCDConstants

-     public class CCDConstants
      extends java.lang.Object

  This class specify constants used in clinical document

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADVERSE_REACTION_TO_SUBSTANCE` This constant specifies value representation of Adverse reaction to substance
    `static java.lang.String` | `AGE` This constant specifies value representation of Age
    `static java.lang.String` | `ASSERTION` This constant specifies value representation of Signature Code
    `static java.lang.String` | `CONFIDENTIALITY_CODE` This constant specifies value representation of Code for confidentiality
    `static java.lang.String` | `CONTINUITY_OF_CARE_DOCUMENT` This constant specifies value representation of Continuity of Care Document
    `static java.lang.String` | `DEAD` This constant specifies value representation of Dead
    `static java.lang.String` | `DOCUMENTATION_PROCEDURE` This constant specifies value representation of Documentation procedure
    `static java.lang.String` | `EPISODICITY` This constant specifies value representation of Signature Code
    `static java.lang.String` | `EXTENDED_HEALTHCARE` This constant specifies value representation of Policy for display name
    `static java.lang.String` | `FAMILY_MEMBER_UNKNOWN` This constant specifies value representation of Family Member Unknown
    `static java.lang.String` | `GENERAL` This constant specifies value representation of self for display name
    `static java.lang.String` | `GENRL` This constant specifies value representation of self for display name
    `static java.lang.String` | `LANGUAGECODE` This constant specifies value representation of Language Code
    `static java.lang.String` | `LATERALITY` This constant specifies value representation of Signature Code
    `static java.lang.String` | `NEW_EPISODE` This constant specifies value representation of Signature Code
    `static java.lang.String` | `NO_KNOWN_ALLERGIES` This constant specifies value representation of No known allergies for display name
    `static java.lang.String` | `NO_LONGER_ACTIVE` This constant specifies value representation of No Longer Value
    `static java.lang.String` | `NULLFLAVOR_NA` This constant specifies value representation of null Flavor
    `static java.lang.String` | `NULLFLAVOR_NI` This constant specifies value representation of null Flavor
    `static java.lang.String` | `OBSERVE` This constant specifies value representation of Signature Code
    `static java.lang.String` | `PARTICIPATION_FUNCTION` This constant specifies value representation of Code PCP for participation function
    `static java.lang.String` | `PAYMENT_SOURCES` This constant specifies value representation of Payment sources for display name
    `static java.lang.String` | `PRIORITY_ACTIVITY_CODE` This constant specifies value representation of Priority Activity Code
    `static java.lang.String` | `SELF` This constant specifies value representation of self for display name
    `static java.lang.String` | `SIGNATURECODE` This constant specifies value representation of Signature Code
    `static java.lang.String` | `SNOMED_DB_FILE` This constant specifies the SNOMED Database File
    `static java.lang.String` | `SNOMED_INDEX_FILE` This constant specifies the SNOMED Index File
    `static java.lang.String` | `STATUS` This constant specifies value representation of Status
    `static java.lang.String` | `SUMMARIZATION_OF_EPISODE_NOTE` This constant specifies value representation of Summarization of episode note for display name
    `static java.lang.String` | `TRANSFER_OF_CARE` This constant specifies value representation of Transfer of care for display name
    `static java.lang.String` | `VITAL_SIGNS` This constant specifies value representation of Vital Signs
    `static java.lang.String` | `VITAL_STATUS_UNKNOWN` This constant specifies value representation of Vital Status Unknown

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCDConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRANSFER_OF_CARE

          public static final java.lang.String TRANSFER_OF_CARE

      This constant specifies value representation of Transfer of care for display name
      See Also:
        Constant Field Values

    - #### SUMMARIZATION_OF_EPISODE_NOTE

          public static final java.lang.String SUMMARIZATION_OF_EPISODE_NOTE

      This constant specifies value representation of Summarization of episode note for display name
      See Also:
        Constant Field Values

    - #### PAYMENT_SOURCES

          public static final java.lang.String PAYMENT_SOURCES

      This constant specifies value representation of Payment sources for display name
      See Also:
        Constant Field Values

    - #### EXTENDED_HEALTHCARE

          public static final java.lang.String EXTENDED_HEALTHCARE

      This constant specifies value representation of Policy for display name
      See Also:
        Constant Field Values

    - #### LANGUAGECODE

          public static final java.lang.String LANGUAGECODE

      This constant specifies value representation of Language Code
      See Also:
        Constant Field Values

    - #### NULLFLAVOR_NA

          public static final java.lang.String NULLFLAVOR_NA

      This constant specifies value representation of null Flavor
      See Also:
        Constant Field Values

    - #### NULLFLAVOR_NI

          public static final java.lang.String NULLFLAVOR_NI

      This constant specifies value representation of null Flavor
      See Also:
        Constant Field Values

    - #### SIGNATURECODE

          public static final java.lang.String SIGNATURECODE

      This constant specifies value representation of Signature Code
      See Also:
        Constant Field Values

    - #### ASSERTION

          public static final java.lang.String ASSERTION

      This constant specifies value representation of Signature Code
      See Also:
        Constant Field Values

    - #### EPISODICITY

          public static final java.lang.String EPISODICITY

      This constant specifies value representation of Signature Code
      See Also:
        Constant Field Values

    - #### LATERALITY

          public static final java.lang.String LATERALITY

      This constant specifies value representation of Signature Code
      See Also:
        Constant Field Values

    - #### NEW_EPISODE

          public static final java.lang.String NEW_EPISODE

      This constant specifies value representation of Signature Code
      See Also:
        Constant Field Values

    - #### NO_KNOWN_ALLERGIES

          public static final java.lang.String NO_KNOWN_ALLERGIES

      This constant specifies value representation of No known allergies for display name
      See Also:
        Constant Field Values

    - #### PRIORITY_ACTIVITY_CODE

          public static final java.lang.String PRIORITY_ACTIVITY_CODE

      This constant specifies value representation of Priority Activity Code
      See Also:
        Constant Field Values

    - #### DOCUMENTATION_PROCEDURE

          public static final java.lang.String DOCUMENTATION_PROCEDURE

      This constant specifies value representation of Documentation procedure
      See Also:
        Constant Field Values

    - #### VITAL_SIGNS

          public static final java.lang.String VITAL_SIGNS

      This constant specifies value representation of Vital Signs
      See Also:
        Constant Field Values

    - #### STATUS

          public static final java.lang.String STATUS

      This constant specifies value representation of Status
      See Also:
        Constant Field Values

    - #### GENERAL

          public static final java.lang.String GENERAL

      This constant specifies value representation of self for display name
      See Also:
        Constant Field Values

    - #### GENRL

          public static final java.lang.String GENRL

      This constant specifies value representation of self for display name
      See Also:
        Constant Field Values

    - #### SELF

          public static final java.lang.String SELF

      This constant specifies value representation of self for display name
      See Also:
        Constant Field Values

    - #### CONFIDENTIALITY_CODE

          public static final java.lang.String CONFIDENTIALITY_CODE

      This constant specifies value representation of Code for confidentiality
      See Also:
        Constant Field Values

    - #### PARTICIPATION_FUNCTION

          public static final java.lang.String PARTICIPATION_FUNCTION

      This constant specifies value representation of Code PCP for participation function
      See Also:
        Constant Field Values

    - #### AGE

          public static final java.lang.String AGE

      This constant specifies value representation of Age
      See Also:
        Constant Field Values

    - #### DEAD

          public static final java.lang.String DEAD

      This constant specifies value representation of Dead
      See Also:
        Constant Field Values

    - #### CONTINUITY_OF_CARE_DOCUMENT

          public static final java.lang.String CONTINUITY_OF_CARE_DOCUMENT

      This constant specifies value representation of Continuity of Care Document
      See Also:
        Constant Field Values

    - #### OBSERVE

          public static final java.lang.String OBSERVE

      This constant specifies value representation of Signature Code
      See Also:
        Constant Field Values

    - #### ADVERSE_REACTION_TO_SUBSTANCE

          public static final java.lang.String ADVERSE_REACTION_TO_SUBSTANCE

      This constant specifies value representation of Adverse reaction to substance
      See Also:
        Constant Field Values

    - #### NO_LONGER_ACTIVE

          public static final java.lang.String NO_LONGER_ACTIVE

      This constant specifies value representation of No Longer Value
      See Also:
        Constant Field Values

    - #### FAMILY_MEMBER_UNKNOWN

          public static final java.lang.String FAMILY_MEMBER_UNKNOWN

      This constant specifies value representation of Family Member Unknown
      See Also:
        Constant Field Values

    - #### VITAL_STATUS_UNKNOWN

          public static final java.lang.String VITAL_STATUS_UNKNOWN

      This constant specifies value representation of Vital Status Unknown
      See Also:
        Constant Field Values

    - #### SNOMED_DB_FILE

          public static final java.lang.String SNOMED_DB_FILE

      This constant specifies the SNOMED Database File
      See Also:
        Constant Field Values

    - #### SNOMED_INDEX_FILE

          public static final java.lang.String SNOMED_INDEX_FILE

      This constant specifies the SNOMED Index File
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CCDConstants

          public CCDConstants()